std::complex< double > Struct Reference
Numerics » Complex Numbers

## Public Types

typedef __complex__ double | _ComplexT
typedef double | value_type

## Public Member Functions

constexpr | complex (_ComplexT __z)
constexpr | complex (const complex< float > &__z)
constexpr | complex (const complex< long double > &)
constexpr | complex (double __r=0.0, double __i=0.0)
| __attribute ((__abi_tag__("cxx11"))) const expr double imag() const
| __attribute ((__abi_tag__("cxx11"))) const expr double real() const
constexpr _ComplexT | __rep () const
void | imag (double __val)
template<typename _Tp >
complex & | operator*= (const complex< _Tp > &__z)
complex & | operator*= (double __d)
template<typename _Tp >
complex & | operator+= (const complex< _Tp > &__z)
complex & | operator+= (double __d)
template<typename _Tp >
complex & | operator-= (const complex< _Tp > &__z)
complex & | operator-= (double __d)
template<typename _Tp >
complex & | operator/= (const complex< _Tp > &__z)
complex & | operator/= (double __d)
template<typename _Tp >
complex & | operator= (const complex< _Tp > &__z)
complex & | operator= (double __d)
void | real (double __val)

## Detailed Description

26.2.3 complex specializations complex<double> specialization

Definition at line 1221 of file complex.

The documentation for this struct was generated from the following file:

- complex